# Class ExternalBrowser

java.lang.Object
org.eclipse.rap.rwt.widgets.ExternalBrowser

@Deprecated public final class ExternalBrowser extends Object
Deprecated.
Use `UrlLauncher` instead
Utility class to open and close an external browser window.

Since:
  2.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`LOCATION_BAR`
Deprecated.
Style parameter (value 1<<1) indicating that the address combo and 'Go' button will be created for the browser.
`static final int`
`NAVIGATION_BAR`
Deprecated.
Style parameter (value 1<<2) indicating that the navigation bar for navigating web pages will be created for the web browser.
`static final int`
`STATUS`
Deprecated.
Style constant (value 1<<3) indicating that status will be tracked and shown for the browser (page loading progress, text messages etc.).

## Method Summary

Modifier and Type
Method
Description
`static void`
`close(String id)`
Deprecated.
`static void`
`open(String id, String url, int style)`
Deprecated.
Use `UrlLauncher.openURL(String)` instead

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LOCATION_BAR

public static final int LOCATION_BAR
Deprecated.
Style parameter (value 1<<1) indicating that the address combo and 'Go' button will be created for the browser.

Note: This style parameter is a hint and might be ignored by some browsers.

See Also:
  - Constant Field Values

### NAVIGATION_BAR

public static final int NAVIGATION_BAR
Deprecated.
Style parameter (value 1<<2) indicating that the navigation bar for navigating web pages will be created for the web browser.

Note: This style parameter is a hint and might be ignored by some browsers.

See Also:
  - Constant Field Values

### STATUS

public static final int STATUS
Deprecated.
Style constant (value 1<<3) indicating that status will be tracked and shown for the browser (page loading progress, text messages etc.).

Note: This style parameter is a hint and might be ignored by some browsers.

See Also:
  - Constant Field Values

## Method Details

### open

@Deprecated public static void open(String id, String url, int style)
Deprecated.
Use `UrlLauncher.openURL(String)` instead
Opens the given `url` in an external browser.

The method will reuse an existing browser window if the same `id` value is passed to it.

Parameters:
  `id` - if an instance of a browser with the same id is already opened, it will be reused instead of opening a new one. The id must neither be `null` nor empty.
  `url` - the URL to display, must not be `null`
  `style` - the style display constants. Style constants should be bitwise-ORed together.
Throws:
  `SWTException` -
  - ERROR_WIDGET_DISPOSED - if the `id` or `url` is `null`
  - ERROR_INVALID_ARGUMENT - if the `id` is empty
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### close

@Deprecated public static void close(String id)
Deprecated.
Closes the browser window denoted by the given `id`. The method does nothing if there is no browser window with the given id.

Parameters:
  `id` - if an instance of a browser with the same id is opened, it will be close. The id must neither be `null` nor empty.
Throws:
  `SWTException` -
  - ERROR_WIDGET_DISPOSED - if the `id` is `null`
  - ERROR_INVALID_ARGUMENT - if the `id` is empty
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver